import { Tree } from '@angular-devkit/schematics';
import { addPackage } from './package-config';

// eslint-disable-next-line @typescript-eslint/no-var-requires
const VERSION = require('../package.json').version;

/** Add dependencies to package.json */
export function addKeyPkgsToPackageJson(host: Tree) {
  addPackage(host, '@angular/cdk@^16.2.6');
  addPackage(host, 'parse5@^7.1.2', 'dev');
  addPackage(host, `ng-matero@~${VERSION}`);
}

/** Add dependencies to package.json */
export function add3rdPkgsToPackageJson(host: Tree) {
  addPackage(host, '@angular/material@^16.2.6');
  addPackage(host, '@angular/material-moment-adapter@^16.2.6');

  // 3rd lib
  addPackage(host, '@ng-matero/extensions@^16.3.2');
  addPackage(host, '@ng-matero/extensions-moment-adapter@^16.0.0');
  addPackage(host, '@ngx-formly/core@^6.2.0');
  addPackage(host, '@ngx-formly/material@^6.2.0');
  addPackage(host, '@ngx-translate/core@^15.0.0');
  addPackage(host, '@ngx-translate/http-loader@^8.0.0');
  addPackage(host, 'moment@^2.29.4');
  addPackage(host, 'ngx-permissions@^16.0.1');
  addPackage(host, 'ngx-progressbar@^11.1.0');
  addPackage(host, 'ngx-toastr@^17.0.2');
  addPackage(host, 'photoviewer@^3.9.2');
  addPackage(host, 'screenfull@^6.0.2');

  // Dev
  addPackage(host, '@angular-eslint/builder@^16.2.0', 'dev');
  addPackage(host, '@angular-eslint/eslint-plugin@^16.2.0', 'dev');
  addPackage(host, '@angular-eslint/eslint-plugin-template@^16.2.0', 'dev');
  addPackage(host, '@angular-eslint/schematics@^16.2.0', 'dev');
  addPackage(host, '@angular-eslint/builder@0.0.0-PLACEHOLDER', 'dev');
  addPackage(host, '@angular-eslint/template-parser@^16.2.0', 'dev');
  addPackage(host, '@typescript-eslint/eslint-plugin@^6.7.0', 'dev');
  addPackage(host, '@typescript-eslint/parser@^6.7.0', 'dev');
  addPackage(host, 'eslint@^8.50.0', 'dev');
  addPackage(host, 'prettier@^3.0.0', 'dev');
  addPackage(host, 'stylelint@^15.10.0', 'dev');
  addPackage(host, 'stylelint-config-recess-order@^4.3.0', 'dev');
  addPackage(host, 'stylelint-config-recommended-scss@^13.0.0', 'dev');
  addPackage(host, 'stylelint-config-standard@^34.0.0', 'dev');
}
