import { Path } from '@angular-devkit/core';
import { Rule, Tree } from '@angular-devkit/schematics';
import { Schema } from '@schematics/angular/component/schema';
export interface ComponentOptions extends Schema {
    pageName: string;
    moduleRoot?: string;
    entryComponent?: boolean;
    moduleExt?: string;
    routingModuleExt?: string;
}
/**
 * Rule that copies and interpolates the files that belong to this schematic context. Additionally
 * a list of file paths can be passed to this rule in order to expose them inside the EJS
 * template context.
 *
 * This allows inlining the external template or stylesheet files in EJS without having
 * to manually duplicate the file content.
 */
export declare function buildComponent(options: ComponentOptions, additionalFiles?: {
    [key: string]: string;
}): Rule;
/**
 * Rewrite [findModuleFromOptions](https://github.com/angular/angular-cli/blob/main/packages/schematics/angular/utility/find-module.ts#L29) for standalone module
 *
 * Find the module referred by a set of options passed to the schematics.
 *
 * - module: `*.module.ts`, `*-routing.module.ts`
 * - standalone: `*.routes.ts`
 */
export declare function findModuleFromOptions(host: Tree, options: ComponentOptions): Path | undefined;
